﻿
$(document).ready(function () {
    $("#btnSetPassword").bind("click", function () {
        var password1 = $("#txtPassword1").val();
        var password2 = $("#txtPassword2").val();

        if (!password1 || !password2) {
            alert2("密码不能为空");
            return;
        }
        if (password1.length <= 4) {
            alert2("密码不能小于4位");
            return;
        }
        if (password1 != password2) {
            alert2("您两次输入的密码不一致");
            return;
        }
        resetPassword(password1);
    });
});

//检查帐号及发送验证码
function resetPassword(password) {
    $.ajax({
        type: "POST",
        url: "http://msg.106117.com/submit_ajax.ashx",
        dataType: "jsonp",
        data: {
            "username": localStorage.tmpUsername,
            "validate": localStorage.tmpValidate,
            "forget_token": localStorage.tmpForgetToken,
            "password": password,
            "action": "forget_resetPassword"
        },
        timeout: 20000,
        crossDomain: true,
        beforeSend: function (XMLHttpRequest) {
            $("#btnSetPassword").attr("disabled", true); //设置按钮锁定状态
        },
        success: function (data, textStatus) {
            $("#btnSetPassword").attr("disabled", false);
            if (data.status == 1) {
                alert3(data.msg, function () {
                    window.location.href = "login.html";
                });
            } else {
                alert2(data.msg);
            }
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            $("#btnSetPassword").attr("disabled", false);
            if (errorThrown == "timeout") {
                alert2("登录超时，请检查网络是否连接");
            } else {
                alert2("登陆出错：" + errorThrown); //test
            }
        }
    });
}