﻿var Validate = {
    /*是否带有小数*/
    isDecimal: function (strValue)  {  
        var  objRegExp= /^\d+\.\d+$/;
    return objRegExp.test(strValue);  
    },
    //是否为合法的用户名(字母数字及_ ,至少为4个字符)
    isUserName: function (str) { return /^\w{4,}$/.test(str); },

    //是否为一个整数
    isInt: function (str) { return /^\d+$/.test(str); },

    //是否全部为字母
    isletter: function (str) { return /^[a-z]+$/i.test(str);},

    //是否为中文(里面包括字母)
    isChina : function(str) {
             var reg= /^[\u4E00-\u9FA5]+$/;   /*定义验证表达式*/
            return reg.test(str);     /*进行验证*/
    },

    //判断是否为空
    isNull: function (str) {
        var b = true;
        if (str) b = false;
        return b;
    },
    //去掉首尾的空格
    trim: function (str) {
        return str.replace(/^\s+|\s+$/g, "");
    },


     //是否为日期对象
    isDateObj: function (d) {
        if (!d) return false;
        var s = d.constructor.toString();
        if (s.indexOf("Date") >= 0) {
            return true;
        } else { return false;}
    },
    //是否为数组对象
    isArrayObj: function isArray(myArray) {
        if (!myArray) return false;
        return myArray.constructor.toString().indexOf("Array") > -1;
    }
}