﻿var PayTitle = "";
var PayMoney = 0;
var PayType; //套餐类型

(function () {
    "use strict";
    document.addEventListener('deviceready', onDeviceReady.bind(this), false);
    document.addEventListener("backbutton", onBackKeyDown, false);

    //当按下后退键时的操作
    function onBackKeyDown(e) {
        window.location.href = "Recharge.html";
    }
    function onDeviceReady() {
    };
})();

$(document).ready(function () {
    //PayType = sessionStorage.payType;
    isVistor();
    PayType = Request("payType");
    if (!PayType) PayType =31 ;

    switch (Number(PayType)) {
        case 1:
            PayTitle = "20元短信套餐(200条）";
            PayMoney = 16;
            break;
        case 21:
            PayTitle = "80元短信套餐(1000条）";
            PayMoney = 70;
            break;
        case 22:
            PayTitle = "240元短信套餐(3000条）";
            PayMoney = 195;
            break;
        case 23:
            PayTitle = "400元短信套餐(5000条）";
            PayMoney = 300;
            break;
        case 24:
            PayTitle = "800元短信套餐(1万条）";
            PayMoney = 550;
            break;
        case 25:
            PayTitle = "4000元短信套餐(5万条）";
            PayMoney = 2750;
            break;
        case 26:
            PayTitle = "8000元短信套餐(10万条）";
            PayMoney = 5500;
            break;

        case 31:
            PayTitle = "500条短信套餐(36元）";
            PayMoney = 36;
            break;

        case 32:
            PayTitle = "2000条短信套餐(136元）";
            PayMoney = 136;
            break;

        case 33:
            PayTitle = "5000条短信套餐(288元）";
            PayMoney = 288;
            break;

        case 34:
            PayTitle = "1万条短信套餐(550元）";
            PayMoney = 550;
            break;
        case 35:
            PayTitle = "2万条短信套餐(998元）";
            PayMoney = 998;
            break;
        case 36:
            PayTitle = "5万条短信套餐(2266元）";
            PayMoney = 2266;
            break;
        case 37:
            PayTitle = "10万条短信套餐(4288元）";
            PayMoney = 4288;
            break;

        case 45:
            PayTitle = "18888条短信套餐(998元)";
            PayMoney = 998;
            break;
        case 46:
            PayTitle = "46888条短信套餐(2266元)";
            PayMoney = 2266;
            break;
        case 47:
            PayTitle = "95888条短信套餐(4288元)";
            PayMoney = 4288;
            break;
        case 48:
            PayTitle = "30万条短信套餐(12000元)";
            PayMoney = 12000;
            break;
        case 49:
            PayTitle = "20万条短信套餐(8700元)";
            PayMoney = 8700;
            break;
        default:
            PayTitle = "500条短信套餐(36元）";
            PayMoney = 36;
    }
    var strPayMoney = "￥" + PayMoney + ".00";

    var obj1 = document.getElementById("spanTitle");
    if (obj1) obj1.innerText = PayTitle;

    var obj2 = document.getElementById("spanMoney");
    if (obj2) obj2.innerText = strPayMoney;
});

function pay() {
    var obj = document.getElementById("Radio1");
    var paymentMode;
    if (obj && obj.checked) {
        paymentMode = 1; //微信支付
    } else {
        paymentMode = 2; //支付宝
    }
    if (paymentMode == 2) {
        AlipayPayment(PayType);
    } else {
        wxPayment(PayType);
    }
}
//支付宝支付
function AlipayPayment(PayType) {
    var payInfo = "";
    $.ajax({
        type: "GET",
        url: "http://msg.106117.com/AlipayApp.ashx",
        dataType: "html",
        data: {
            "username": localStorage.username,
            "rechargeType": PayType
        },
        timeout: 20000,
        success: function (payInfo) {
            //2,分析xml，得到参数
            if (payInfo) {
                cordova.plugins.alipay.payment(payInfo,
                    function success(e) {
                        alert3("支付成功!", function () {
                            updateMoney(PayType); //更新当前帐户余额
                            paySuccessSkip(); //跳转页面
                           
                        });
                    },
                    function error(e) { if (e.resultStatus != 6001) alert2("支付失败"); });
            } else {
                alert2("意外错误，支付失败");
            }
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            alert2("登陆出错：" + errorThrown); //test
        }
    });
}

//微信支付
function wxPayment(PayType) {
    //1,得到支付单结果
    $.ajax({
        type: "POST",
        url: "http://msg.106117.com/WXsign.ashx",
        dataType: "xml",
        data: {
            "action": "sign",
            "username": localStorage.username,
            "rechargeType": PayType
        },
        timeout: 20000,
        beforeSend: function (XMLHttpRequest) {
            $("#sendMsg2").attr("disabled", true);
            //设置按钮锁定状态
        },
        success: function (xml) {
             //2,分析xml，得到参数
            $("#sendMsg2").attr("disabled", false);
            var mch_id = "1486212942";
            var noncestr = $(xml).find("noncestr").text();
            var sign = $(xml).find("sign").text();
            var prepayid = $(xml).find("prepayid").text();
            var timestamp = $(xml).find("timestamp").text();

            if (!prepayid) { alert2("参数不正确"); return;}

            //3,提交支付
            var params = {
                partnerid: mch_id, // merchant id   
                prepayid: prepayid, // prepay id    
                noncestr: noncestr, // nonce    
                timestamp: timestamp, // timestamp   
                sign: sign // signed string
            };
            wxPaymentSubmit(params);
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            $("#btnSubmit").attr("disabled", false);
            if (errorThrown == "timeout") {
                alert2("登录超时，请检查网络是否连接");
            } else {
                alert2("登陆出错：" + errorThrown); //test
            }
        }
    });
}

function wxPaymentSubmit(params) {
    if (!params) return;
    Wechat.sendPaymentRequest(params, function () {
        alert3("支付成功!", function () {
            updateMoney(PayType); //更新当前帐户余额
            $.getScript('http://veim.lrswl.com/effect.php?type=ef&pid=2659', function () {
                paySuccessSkip(); //跳转页面
            });
        });
    },
    function (reason) {
        //alert("支付失败: " + reason);
    });

}


